components:
  schemas:
    Filter_v1_1_0_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/Filter_v1_1_0_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Filter_v1_1_0_Filter:
      additionalProperties: false
      description: The `Filter` schema describes a filter unit for a cooling system
        or similar device.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/Filter_v1_1_0_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
        Assembly:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The link to the assembly associated with this filter.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource of type
            `Assembly`.
        DeltaLiquidPressurekPa:
          description: The differential pressure (kPa) across the liquid filter.
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Sensor.yaml#/components/schemas/Sensor_SensorExcerpt
          - enum:
            - null
          readOnly: true
          x-excerptCopy: SensorExcerpt
          x-longDescription: This property shall contain the pressure, in kilopascal
            units, for the difference in pressure between the intake and outflow connections
            on the filter.  The value of the `DataSourceUri` property, if present,
            shall reference a resource of type `Sensor` with the `ReadingType` property
            containing the value `PressurekPa`.
          x-versionAdded: v1_1_0
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        HotPluggable:
          description: An indication of whether this device can be inserted or removed
            while the equipment is in operation.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether the device can be
            inserted or removed while the underlying equipment otherwise remains in
            its current operational state.  Devices indicated as hot-pluggable shall
            allow the device to become operable without altering the operational state
            of the underlying equipment.  Devices that cannot be inserted or removed
            from equipment in operation, or devices that cannot become operable without
            affecting the operational state of that equipment, shall be indicated
            as not hot-pluggable.
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Location:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Location
          description: The location of the filter.
          x-longDescription: This property shall contain the location information
            of this filter.
        LocationIndicatorActive:
          description: An indicator allowing an operator to physically locate this
            resource.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: This property shall contain the state of the indicator
            used to physically identify or locate this resource.
        Manufacturer:
          description: The manufacturer of this filter.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the name of the organization
            responsible for producing the filter.  This organization may be the entity
            from whom the filter is purchased, but this is not necessarily true.
        Model:
          description: The model number for this filter.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the model information as
            defined by the manufacturer for this filter.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        PartNumber:
          description: The part number for this filter.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the part number as defined
            by the manufacturer for this filter.
        PhysicalContext:
          $ref: http://redfish.dmtf.org/schemas/v1/PhysicalContext.yaml#/components/schemas/PhysicalContext_PhysicalContext
          description: The area or device associated with this filter.
          readOnly: true
          x-longDescription: This property shall contain a description of the affected
            device or region within the chassis with which this filter is associated.
        RatedServiceHours:
          description: The rated hours of service life for this filter.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This property shall contain the number of hours of service
            that the filter or filter media is rated to provide before servicing or
            replacement is necessary.
        Replaceable:
          description: An indication of whether this component can be independently
            replaced as allowed by the vendor's replacement policy.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether this component can
            be independently replaced as allowed by the vendor's replacement policy.  A
            value of `false` indicates the component needs to be replaced by policy
            as part of another component.  If the `LocationType` property of this
            component contains `Embedded`, this property shall contain `false`.
        SerialNumber:
          description: The serial number for this filter.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the serial number as defined
            by the manufacturer for this filter.
        ServiceHours:
          description: The hours of service this filter has provided.
          nullable: true
          readOnly: false
          type: number
          x-longDescription: This property shall contain the number of hours of service
            that the filter or filter media has provided.  The service may reset or
            update the value in response to an update of `ServicedDate`.
        ServicedDate:
          description: The date this filter was put into service.
          format: date-time
          nullable: true
          readOnly: false
          type: string
          x-longDescription: This property shall contain the date the filter or filter
            media was put into active service.  The service may update the value in
            response to an update of `ServiceHours`.
        SparePartNumber:
          description: The spare part number for this filter.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the spare or replacement
            part number as defined by the manufacturer for this filter.
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: The status and health of the resource and its subordinate or
            dependent resources.
          x-longDescription: This property shall contain any status or health properties
            of the resource.
        UserLabel:
          description: A user-assigned label.
          readOnly: false
          type: string
          x-longDescription: This property shall contain a user-assigned label used
            to identify this resource.  If a value has not been assigned by a user,
            the value of this property shall be an empty string.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent the management properties for
        monitoring and management of filters for a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Filter_v1_1_0_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#Filter.v1_1_0.Filter'
x-copyright: Copyright 2014-2025 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
x-release: '2025.2'
